package controller
{
	import models.ViewModel;
	
	import org.robotlegs.mvcs.Command;
	
	import signals.ChangeViewSignal;
	
	public class StartupCommand extends Command
	{
		[Inject]
		public var viewModel:ViewModel;
		
		/**
		 * Signals send / received by the view
		 */
		[Inject]
		public var viewSignal:ChangeViewSignal;
		
		override public function execute() : void
		{
			viewModel.nextView = "viewOne";
			viewSignal.dispatch();
		}
	}
}